﻿Imports System.Configuration
Imports System.Data.SqlClient

Public Class UpdateService
    Implements IUpdateService

#Region "IUpdateService Members"

    Public Function UpdateNoTransaction(ByVal SqlStmt As String) As Integer _
        Implements IUpdateService.UpdateNoTransaction
        Return update(SqlStmt)
    End Function

    <TransactionFlow(TransactionFlowOption.Mandatory)> _
    Public Function UpdateWithTransaction(ByVal SqlStmt As String) As Integer _
        Implements IUpdateService.UpdateWithTransaction
        Return update(SqlStmt)
    End Function

#End Region

#Region "Private Methods"

    Private Function update(ByVal sqlStmt As String) As Integer

        AppDomain.CurrentDomain.SetData("DataDirectory", _
            System.IO.Path.GetFullPath(System.IO.Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "..\..\..")))

        Dim connectionString As String = _
            ConfigurationManager.ConnectionStrings("TK503").ConnectionString
        Dim cn As New SqlConnection(connectionString)

        cn.Open()
        Dim cmd As New SqlCommand(sqlStmt, cn)
        Dim result As Integer = cmd.ExecuteNonQuery()
        cn.Close()

        Return result

    End Function

#End Region

End Class
