﻿Imports System.Configuration
Imports System.Data.SqlClient
Imports System.Transactions

Public Class UpdateService
    Implements IUpdateService

#Region "IUpdateService Members"

    Public Function UpdateNoTransaction(ByVal SqlStmt As String) As Integer _
        Implements IUpdateService.UpdateNoTransaction
        Return update(SqlStmt)
    End Function

    <TransactionFlow(TransactionFlowOption.Mandatory)> _
    Public Function UpdateWithTransaction(ByVal SqlStmt As String) As Integer _
        Implements IUpdateService.UpdateWithTransaction
        Return update(SqlStmt)
    End Function

#End Region

#Region "Private Methods"

    Private Function update(ByVal sqlStmt As String) As Integer

        AppDomain.CurrentDomain.SetData("DataDirectory", _
            System.IO.Path.GetFullPath(System.IO.Path.Combine(System.Reflection.Assembly.GetExecutingAssembly().Location, "..\..\..\..")))

        Dim result As Integer

        Using ts As New TransactionScope()
            Dim connectionString As String = _
                ConfigurationManager.ConnectionStrings("TK503").ConnectionString
            Dim cn As New SqlConnection(connectionString)

            cn.Open()
            Dim cmd As New SqlCommand(sqlStmt, cn)
            result = cmd.ExecuteNonQuery()
            cn.Close()
        End Using

        Return result

    End Function

#End Region

End Class
