﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace TransactionalService
{
    [ServiceContract()]
    public interface IUpdateService
    {
        [OperationContract]
        int UpdateNoTransaction(string sqlStmt);

        [OperationContract]
        [TransactionFlow(TransactionFlowOption.Mandatory)]
        int UpdateWithTransaction(string sqlStmt);
    }
}
