﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.ServiceModel.Channels;
using System.Diagnostics;

namespace DemoService
{
    [ServiceBehavior(ConcurrencyMode=ConcurrencyMode.Single,
        InstanceContextMode=InstanceContextMode.Single)]
    public class ConcurrencyService : IConcurrency
    {
        private int callCount = 1;

        public string GetCallCount(int waitTime)
        {
            System.Threading.Thread.Sleep(waitTime);
            return String.Format("This method has been called {0} times", callCount++);
        }
    }
}
