﻿Imports System.ServiceModel
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports Tasks.Entities

<ServiceContract(Name:="TaskManagerService", _
        Namespace:="http://schemas.fabrikam.com/2008/04/tasks/")> _
Public Interface ITaskManagerService
    <OperationContract()> _
    Function AddTask(ByVal task As Task) As TaskAcknowledgement

    <OperationContract()> _
    Function GetTasksByAssignedName( _
            ByVal assignedTo As String) As List(Of Task)

    <OperationContract()> _
    <FaultContract(GetType(FaultInfo))> _
    Function GetTask(ByVal taskNumber As Integer) As Task

    <OperationContract()> _
    <FaultContract(GetType(FaultInfo))> _
    Sub MarkTaskCompleted(ByVal taskNumber As Integer)

    <OperationContract()> _
    <FaultContract(GetType(FaultInfo))> _
    Sub DeleteTask(ByVal taskNumber As Integer)

End Interface
