﻿Imports System.Collections.Generic
Imports System.IO


Public Class MainForm
    Private Const DefaultDataSourceName As String = "MapPoint.NA"
    Private _cachedMaps As Dictionary(Of Address, Bitmap) = _
                                    New Dictionary(Of Address, Bitmap)()

    Private Sub InitAddressInputFields()
        _tboxAddressLine.Text = String.Empty
        _tboxCity.Text = String.Empty
        _tboxProvinceOrState.Text = String.Empty
        _tboxZipOrPostalCode.Text = String.Empty
    End Sub


    Private Sub _btnViewMap_Click(ByVal sender As System.Object, _
                    ByVal e As System.EventArgs) Handles _btnViewMap.Click
    End Sub

    Private Sub MainForm_Load(ByVal sender As System.Object, _
                ByVal e As System.EventArgs) Handles MyBase.Load
        InitAddressInputFields()

        _countriesComboBox.SelectedIndex = 0
        _recentlyViewedComboBox.ComboBox.DisplayMember = "AddressLine"

        AddHandler _recentlyViewedComboBox.SelectedIndexChanged, _
                    AddressOf _recentlyViewedComboBox_SelectedIndexChanged
    End Sub

    Private Sub _recentlyViewedComboBox_SelectedIndexChanged( _
                        ByVal sender As Object, ByVal e As EventArgs)
        Dim addr As Address
        addr = CType(_recentlyViewedComboBox.SelectedItem, Address)

        If Not addr Is Nothing Then
            Dim bmap As Bitmap
            bmap = _cachedMaps(addr)
            If Not bmap Is Nothing Then
                _mainPicBox.Image = bmap
            End If
        End If
    End Sub
End Class
