﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.ServiceModel.Channels;

namespace DemoService
{
    public class HeaderService : IGetHeaders, ICalculate
    {
        public string GetHeaders()
        {
            return OperationContext.Current.RequestContext.RequestMessage.Headers.Action;
        }

        public double Sum(double[] values)
        {
            double result = 0.0;
            foreach (double value in values)
                result += value;
            return result;
        }
    }
}
