﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace DemoService
{
    public class Program
    {
        public static void Main()
        {
            ServiceHost host = new ServiceHost(typeof(HeaderService), 
                new Uri[] { new Uri("net.tcp://localhost:8240/DemoService") } );
            NetTcpBinding binding = new NetTcpBinding();
            host.AddServiceEndpoint(typeof(IGetHeaders), binding,
                "net.tcp://localhost:8240/DemoService");

            host.Open();

            Console.WriteLine("Host is running...press Enter to terminate");
            Console.ReadLine();
            host.Close();
        }
    }
}
