﻿Module Module1

    Sub Main()

        Dim newActivityId As Guid = Guid.NewGuid()
        Trace.CorrelationManager.ActivityId = newActivityId
        Dim ts As New TraceSource("DemoServiceTraceSource")
        ts.TraceEvent(TraceEventType.Start, 0, "DemoService Actvitity")

        Using proxy As DemoService.GetHeadersClient = _
            New DemoService.GetHeadersClient()
            Dim originalActivityId As Guid = Trace.CorrelationManager.ActivityId
            newActivityId = Guid.NewGuid()
            ts.TraceTransfer(0, "Transfer", newActivityId)
            Trace.CorrelationManager.ActivityId = newActivityId
            ts.TraceEvent(TraceEventType.Start, 0, "GetHeader Activity")

            ts.TraceEvent(TraceEventType.Information, 0, _
               "Client sending message to DemoService")
            Console.WriteLine("And the headers are: " & proxy.GetHeaders())
            ts.TraceEvent(TraceEventType.Information, 0, _
               "Client received response from DemoService")

            ts.TraceTransfer(667, "Transfer to DemoService Actitity", _
                originalActivityId)
            ts.TraceEvent(TraceEventType.Stop, 0, "GetHeader Activity")
            Trace.CorrelationManager.ActivityId = originalActivityId

        End Using
        ts.TraceEvent(TraceEventType.Stop, 0, "DemoService Activity")
        Console.ReadLine()

    End Sub

End Module
