﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;
using System.ServiceModel;

namespace TestClient
{
    class Program
    {
        static void Main(string[] args)
        {
            using (DemoService.ContactClient proxy = new DemoService.ContactClient())
            {
                Console.WriteLine("Enter a phone number: ");
                string phoneNumber = Console.ReadLine();
                while (!String.IsNullOrEmpty(phoneNumber))
                {
                    try
                    {
                        proxy.UpdatePhone(phoneNumber);
                    }
                    catch (FaultException ex)
                    {
                        Console.WriteLine(ex.Message);
                    }
                    Console.WriteLine("Enter a phone number: ");
                    phoneNumber = Console.ReadLine();
                }
            }
        }
    }
}
