﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.ServiceModel.Channels;
using System.Diagnostics;

namespace DemoService
{
    [ServiceBehavior(InstanceContextMode=InstanceContextMode.Single,
        AddressFilterMode=AddressFilterMode.Any, ValidateMustUnderstand=false)]
    public class RouterService : IRouter
    {
        public Message RouteMessage(Message incomingMessage)
        {
            Trace.WriteLine("Initial state is " + incomingMessage.State);
            string body = incomingMessage.GetBody<string>();
            Trace.WriteLine(body);
            Trace.WriteLine("Final state is " + incomingMessage.State);

            Message returnMessage = Message.CreateMessage(MessageVersion.Soap12WSAddressing10, 
                "http://tempuri.org/IRouter/RouteMessageResponse", "Done " + body);

            return returnMessage;
        }
    }
}
