﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;
using System.Net;
using System.ServiceModel.Channels;
using System.ServiceModel;
using TestClient.DemoService;

namespace TestClient
{
    class Program
    {
        static void Main(string[] args)
        {
            using (DemoService.RouterClient proxy = new TestClient.DemoService.RouterClient())
            {

                Message m = Message.CreateMessage(MessageVersion.Soap12WSAddressing10, 
                    "http://tempuri.org/IRouter/RouteMessage", "Testing message processing");
                try
                {
                    proxy.RouteMessage(m);
                }
                catch (FaultException<RouterFault> ex)
                {
                    Console.WriteLine(ex.Message);
                }
            }
            Console.WriteLine("Message has been sent");
            Console.ReadLine();
        }
    }
}
