﻿Imports DemoLibrary

<ServiceBehavior(ConcurrencyMode:=ConcurrencyMode.Reentrant, _
    InstanceContextMode:=InstanceContextMode.Single)> _
Public Class ConcurrencyService
    Implements IConcurrency

    Private callCount As Integer

    Public Function GetCallCount(ByVal waitTime As Integer) As String Implements IConcurrency.GetCallCount

        callCount += 1
        System.Threading.Thread.Sleep(waitTime)
        Dim callback As IConcurrencyCallback = OperationContext.Current.GetCallbackChannel(Of IConcurrencyCallback)()
        callback.ReceiveCallCount(callCount)
        Return String.Format("This method has been called {0} times", callCount)

    End Function

End Class
