﻿Imports System.ServiceModel
Imports System.Collections.Generic

<ServiceContract(Name:="TaskManagerService", _
    Namespace:="http://schemas.fabrikam.com/2008/04/tasks/")> _
Public Interface ITaskManagerService
    <OperationContract()> _
    Function AddTask(ByVal taskDescription As String, _
                ByVal assignedTo As String) As Integer

    <OperationContract()> _
    Function GetTasksByAssignedName( _
            ByVal assignedTo As String) As List(Of Integer)

    <OperationContract()> _
    Function GetTaskDescription( _
                ByVal taskNumber As Integer) As String

    <OperationContract()> _
    Function IsTaskCompleted( _
                ByVal taskNumber As Integer) As Boolean

    <OperationContract(IsOneWay:=True)> _
    Sub MarkTaskCompleted(ByVal taskNumber As Integer)

    <OperationContract(IsOneWay:=True)> _
    Sub DeleteTask(ByVal taskNumber As Integer)

End Interface
