﻿using System;
using System.Xml;
using System.Threading;
using System.ServiceModel;
using System.ServiceModel.Channels;

namespace HostConsoleApp
{
    class Program
    {
        static void RunService()
        {
            ServiceHost host = new ServiceHost(typeof(GreetingService));
            host.AddServiceEndpoint(typeof(IGreetingService), 
                new NetTcpBinding(), "net.tcp://localhost:6789/service");
            host.Open();
            autoEvent.Set();
            Console.ReadLine();
        }

        static void Main(string[] args)
        {
            new Thread(new ThreadStart(RunService)).Start();
            autoEvent.WaitOne();

            try
            {
                // Call agent here
            }

            catch (Exception ex)
            {
                Console.WriteLine("Error: {0}", ex.Message);
            }
        }

        static AutoResetEvent autoEvent = new AutoResetEvent(false);
    }
}
