﻿Imports System.Threading
Imports System.ServiceModel
Imports System.ServiceModel.Channels

Public Class Program

    Public Shared Sub Main()
        Dim t As Thread
        t = New Thread(New ThreadStart( _
                AddressOf Program.RunService))
        t.Start()
        autoEvent.WaitOne()

        Try
            'Call agent here
        Catch ex As Exception
            Console.WriteLine("Error: {0}", ex.Message)
        End Try

    End Sub

    Public Shared Sub RunService()
        Dim host As ServiceHost
        host = New ServiceHost(GetType(GreetingService))

        host.AddServiceEndpoint(GetType(IGreetingService), _
                New NetTcpBinding(), "net.tcp://localhost:6789/service")

        host.Open()
        autoEvent.Set()

        Console.ReadLine()
    End Sub

    Public Shared autoEvent As AutoResetEvent = New AutoResetEvent(False)
End Class
