﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.ServiceModel.Channels;
using System.Diagnostics;

namespace DemoService
{
    public class HeaderService : IGetHeaders
    {
        public string GetHeaders()
        {
            Trace.WriteLine("Username of the requester is " + System.Threading.Thread.CurrentPrincipal.Identity.Name);
            string result = String.Empty;
            int myHeaderIndex = OperationContext.Current.RequestContext.RequestMessage.Headers.FindHeader("MyHeader", "http://tempuri.org");
            if (myHeaderIndex != -1)
                result = OperationContext.Current.RequestContext.RequestMessage.Headers.GetHeader<String>(myHeaderIndex);
            else
                result = OperationContext.Current.RequestContext.RequestMessage.Headers.Action;

            return result;
        }
    }
}
